@echo off

REM replace webvisu.jar in Codesys Visu folder

setlocal
cls
REM check if the console is running on x64 in native x64 mode (will happen on user double click) => do registry redirection, otherwise let Windows handle that
if /I "%PROCESSOR_ARCHITECTURE%" == "AMD64" (
	if not defined "%PROCESSOR_ARCHITEW6432%" (
		set key="HKEY_LOCAL_MACHINE\SOFTWARE\Wow6432Node\3S-Smart Software Solutions GmbH\CoDeSys SetupInfo\V2.3.0"
	) else (
		set key="HKEY_LOCAL_MACHINE\SOFTWARE\3S-Smart Software Solutions GmbH\CoDeSys SetupInfo\V2.3.0"
	)
) else (
	set key="HKEY_LOCAL_MACHINE\SOFTWARE\3S-Smart Software Solutions GmbH\CoDeSys SetupInfo\V2.3.0"
)
set value="Targetdir_CODESYS"
@echo "key:" %key%
@echo "value:" %value%

@reg query %key% /v %value%

for /f "tokens=3,* skip=2" %%a in ('reg query %key% /v %value%') do (
    @set Targetdir_CODESYS="%%a %%b"
)

@echo %Targetdir_CODESYS%

if exist %~dp0\webvisu.jar copy %~dp0\webvisu.jar %Targetdir_CODESYS%\Visu /y
if exist %~dp0\minml.jar copy %~dp0\minml.jar %Targetdir_CODESYS%\Visu /y